//+------------------------------------------------------------------+
//|                                                    USD_Index.mq5 |
//|                             Copyright 2000-2024, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property service
#property copyright "Copyright 2000-2026, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"

#define CUSTOM_SYMBOL     "WHEAT-SOYBEANS-CORN.synthetic"
#define CUSTOM_GROUP      "Synthetics"
#define BASKET_SIZE       3
#define MAIN_COEFF        1

#include "Currency.mqh"

SymbolWeight ExtWeights[BASKET_SIZE]=
  {
     {"WHEAT",  2},
     {"SOYBEAN",1},
     {"CORN",   1}     
     //{ "USDSEK", 0.042 },
     //{ "USDCHF", 0.036 } 
  };
//+------------------------------------------------------------------+
//| Service program start function                                   |
//+------------------------------------------------------------------+
void OnStart()
  {
   if(!InitService(CUSTOM_SYMBOL,CUSTOM_GROUP))
      return;
//---
   while(!IsStopped())
     {
      ProcessTick(CUSTOM_SYMBOL);
      Sleep(10);
     }
//---
   Print(CUSTOM_SYMBOL," datafeed stopped");
  }
//+------------------------------------------------------------------+
